﻿/*************************************\
 *         Dateien schreiben         *
 *                                   *
 * Kapitel: XML-Verarbeitung         *
 * Zuordnung: C#-Buch V2.0 6.3       *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;
using System.Xml;

namespace CSV20.XML_Schreiben
{
    class Program
    {
        static void Main(string[] args)
        {
            XmlWriter oXmlWriter = null;
            XmlWriterSettings oXmlWriterSettings = new XmlWriterSettings();

            try
            {
                // Eigenschaften / Einstellungen festlegen
                oXmlWriterSettings.Indent = true;
                oXmlWriterSettings.IndentChars = "  ";
                oXmlWriterSettings.NewLineChars = "\r\n";

                oXmlWriter = XmlWriter.Create("test.xml", oXmlWriterSettings);

                // XML-Validierungs-Kopf
                oXmlWriter.WriteStartDocument(true);    // true = standalone="yes"

                // Wurzel-Element
                oXmlWriter.WriteStartElement("liste");

                // Kommentar
                oXmlWriter.WriteComment("Personen-Liste");

                // 1. Person in XML-Datei schreiben (mit Attributen und Text)
                oXmlWriter.WriteStartElement("person");
                oXmlWriter.WriteAttributeString("alter", "42");
                oXmlWriter.WriteAttributeString("geschlecht", "m");
                oXmlWriter.WriteString("Max Mustermann");
                oXmlWriter.WriteEndElement();

                // 2. Person in XML-Datei schreiben (mit Attributen und Text)
                oXmlWriter.WriteStartElement("person");
                oXmlWriter.WriteAttributeString("alter", "39");
                oXmlWriter.WriteAttributeString("geschlecht", "w");
                oXmlWriter.WriteString("Maria Musterfrau");
                oXmlWriter.WriteEndElement();

                // Wurzel-Element schließen
                oXmlWriter.WriteEndElement();

                Console.WriteLine("Die XML-Datei wurde geschrieben!");
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.ToString());
            }
            finally
            {
                // Daten in Datei schreiben und Stream schließen
                oXmlWriter.Close();
            }

            Console.ReadKey();
        }
    }
}